sh_wasted.d(1m)

NAME
sh_wasted.d - measure Bourne shell elapsed times for "wasted" commands.

SYNOPSIS
sh_wasted.d { -p PID | -c cmd }

DESCRIPTION
This script measures "wasted" commands - those which are called externally but are in fact builtins to the shell. Ever seen a script which calls /usr/bin/echo needlessly? This script measures that cost. Filename and call names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_wasted.d

FIELDS

FILE
    Filename of the shell or shellscript

NAME
    Name of call

TIME
    Total elapsed time for calls (us)

IDEA
Mike Shapiro

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_wasted.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)